package com.caimei.controller;

import com.caimei.model.ResponseJson;
import com.caimei.model.vo.OrderVo;
import com.caimei.service.OrderService;
import com.github.pagehelper.PageInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Api(tags = "订单相关")
@RestController
@RequestMapping("/order")
public class OrderApi {
    private OrderService orderService;

    @Autowired
    public void setOrderService(OrderService orderService) {
        this.orderService = orderService;
    }

    /**
     * 我的订单
     */
    @ApiOperation("我的订单")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "orderState", required = true, value = "1:待确认,2:待付款,3:待发货,4:已发货,5:退货款"),
            @ApiImplicitParam(name = "organizeId", required = true, value = "组织id"),
            @ApiImplicitParam(name = "userId", required = false, value = "机构用户id"),
            @ApiImplicitParam(name = "pageNum", required = false, value = "第几页"),
            @ApiImplicitParam(name = "pageSize", required = false, value = "一页多少条")
    })
    @GetMapping("/list")
    public ResponseJson<PageInfo<OrderVo>> getOrderList(Integer orderState, Integer userId, Integer organizeId,
                                                        @RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum,
                                                        @RequestParam(value = "pageSize", defaultValue = "10") Integer pageSize) {
        return orderService.getOrderList(orderState, userId, organizeId, pageNum, pageSize);
    }
}
