package com.caimei.mapper;

import com.caimei.model.po.PromotionsPo;
import com.caimei.model.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/26
 */
@Mapper
public interface OrderMapper {

    /**
     * 查询
     *
     * @param userId
     * @param orderState
     * @return
     */
    List<OrderVo> findOrderList(@Param("userId") Integer userId, @Param("orderState") Integer orderState, @Param("organizeId") Integer organizeId);

    /**
     * 查询物流详情
     *
     * @param orderId
     * @return
     */
    List<LogisticsBatchVo> findLogistics(Integer orderId);


    /**
     * 查询该主订单下所有子订单
     *
     * @param orderId
     * @return
     */
    List<ShopOrderVo> findAllShopOrder(Integer orderId);

    /**
     * 查询子订单下所有商品
     *
     * @param shopOrderId
     * @return
     */
    List<OrderProductVo> findOrderProduct(Integer shopOrderId);

    /**
     * 查询订单促销信息
     *
     * @param orderPromotionsId
     * @return
     */
    PromotionsPo findOrderPromotionsById(Integer orderPromotionsId);

    /**
     * 查询收款记录
     *
     * @param orderId
     * @return
     */
    List<DiscernReceiptVo> findDiscernReceipt(Integer orderId);

    /**
     * 查询是否有过线下支付,订单款
     *
     * @param orderId
     * @return
     */
    DiscernReceiptVo findOfflinePayment(Integer orderId);
}
